Bug 242921 - Handle linked man pages more gracefuly
Summary: Handle linked man pages more gracefuly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jon Masters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 13:41 UTC by Stepan Kasal
Modified: 2009-07-14 18:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:00:05 UTC


Attachments (Terms of Use)
proposed patch (2.94 KB, patch)
2007-06-06 13:45 UTC, Stepan Kasal
no flags Details | Diff
proposed patch 2 (2.94 KB, patch)
2007-06-15 14:26 UTC, Stepan Kasal
no flags Details | Diff

Description Stepan Kasal 2007-06-06 13:41:31 UTC
If a man page describes multiple functions, then the secondary sources often
look like this:
$ zcat /usr/share/man/man2/swapoff.2.gz 
.so man2/swapon.2

Though this is not uniform throughout the distribution, some packages use
symlinks or even hard links.

I suggest to replace the above microscopic source file by a symbolic link; it
makes things more readable (and saves a block of data).

This can be done automagically when compressing the man pages, see the patch below.

Comment 1 Stepan Kasal 2007-06-06 13:45:19 UTC
Created attachment 156349 [details]
proposed patch

This patch search for the sources of the form mentioned above and replaces them
by a symlink.
(Moreover, it improves handling of hard links; previously, if a man page had
$n$ hard links, brp-compress compressed and de-compressed it $n$ times.)

Comment 2 Stepan Kasal 2007-06-15 14:26:11 UTC
Created attachment 157118 [details]
proposed patch 2

Change $f -> $b in the code, so that brp-compress works correctly even though
the docs were already compressed.

Comment 3 Jon Masters 2008-04-03 07:00:38 UTC
Hmmm...ok, so I'll do some testing and add this into rawhide post F-9.

Comment 4 Bug Zapper 2008-05-14 02:58:28 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-06-09 22:38:28 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 18:00:05 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.